Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## unity.annotation
Class SourceDatabase

    java.lang.Object
      unity.annotation.SourceDatabase

Direct Known Subclasses:
  AnnotatedSourceDatabase

    public class SourceDatabase

extends java.lang.Object

Constructor Summary
`SourceDatabase()`
`SourceDatabase(java.lang.String name, java.lang.String productName, java.lang.String version, java.lang.String url, java.lang.String driver)`

Method Summary
`void` | `addTable(SourceTable table)`
`java.lang.String` | `getDatabaseName()`
`java.lang.String` | `getDatabaseProductName()`
`java.lang.String` | `getDatabaseProductVersion()`
`java.lang.String` | `getDriverName()`
`java.lang.String` | `getJavaDriverName()`
`java.util.HashMap` | `getSourceTables()`
`SourceTable` | `getTable(java.lang.String tableName)`
`java.lang.String` | `getURLJava()`
`java.lang.String` | `getURLJDBC()`
`void` | `setDatabaseName(java.lang.String name)`
`void` | `setDatabaseProductName(java.lang.String name)`
`void` | `setDatabaseProductVersion(java.lang.String name)`
`void` | `setDriverName(java.lang.String name)`
`void` | `setJavaDriverName(java.lang.String name)`
`void` | `setSourceTables(java.util.HashMap tables)`
`void` | `setURLJava(java.lang.String url)`
`void` | `setURLJDBC(java.lang.String url)`
`java.lang.String` | `toString()`
`java.lang.String` | `toXML()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SourceDatabase

    public SourceDatabase()

### SourceDatabase

    public SourceDatabase(java.lang.String name,
                          java.lang.String productName,
                          java.lang.String version,
                          java.lang.String url,
                          java.lang.String driver)

Method Detail

### setDatabaseName

    public void setDatabaseName(java.lang.String name)

### getDatabaseName

    public java.lang.String getDatabaseName()

### setSourceTables

    public void setSourceTables(java.util.HashMap tables)

### getSourceTables

    public java.util.HashMap getSourceTables()

### setDatabaseProductName

    public void setDatabaseProductName(java.lang.String name)

### getDatabaseProductName

    public java.lang.String getDatabaseProductName()

### setDatabaseProductVersion

    public void setDatabaseProductVersion(java.lang.String name)

### getDatabaseProductVersion

    public java.lang.String getDatabaseProductVersion()

### getURLJDBC

    public java.lang.String getURLJDBC()

### setURLJDBC

    public void setURLJDBC(java.lang.String url)

### getDriverName

    public java.lang.String getDriverName()

### setDriverName

    public void setDriverName(java.lang.String name)

### getURLJava

    public java.lang.String getURLJava()

### setURLJava

    public void setURLJava(java.lang.String url)

### getJavaDriverName

    public java.lang.String getJavaDriverName()

### setJavaDriverName

    public void setJavaDriverName(java.lang.String name)

### addTable

    public void addTable(SourceTable table)

### getTable

    public SourceTable getTable(java.lang.String tableName)

### toXML

    public java.lang.String toXML()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD